YouVersion PlatformYouVersion Platform
PlatformContent LibraryDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2026 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
data exchange
    Show the data exchange approval page.getComplete the data exchange approval flow.postCreate a data exchange token.post
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
highlights
    Get a collection of highlights for a user.getCreate or update a highlight on a passage.postClear highlights for a passage.delete
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.get
permissions
    Get permissions granted to an app.get
search
    Get suggested or trending search queries.getSearch the Platform for Bible verses, topics and images.getSearch the Platform for topics related to a query.getSearch the Platform for Bible verses.getSearch the Platform for verse images.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
apps
    Get details about a specific app in the Platform.get
images
    List verse-art images, optionally filtered by language and/or verse.getResolve a verse-art image id to its full metadata.get
Schemas
Transformers
Transformers

apps

Endpoint

Get details about a specific app in the Platform.

GET
https://api.youversion.com
/v1/apps/{app_id}

Get a single app resource by its id.

Get details about a specific app in the Platform. › path Parameters

app_id
​string · uuid · required

The unique identifier of the app.

Get details about a specific app in the Platform. › Responses

Successful request

A public app summary resource.
app_id
​string · uuid · readOnly · required
name
​string · readOnly · required
description
​string
website_url
​string
status
​string · enum
Enum values:
development
live
archived
GET/v1/apps/{app_id}
curl --request GET \ --url https://api.youversion.com/v1/apps/:app_id
shell
Example Responses
{ "app_id": "00000000-0000-0000-0000-000000000000", "name": "name", "description": "description", "website_url": "website_url", "status": "development" }
json
application/json

verse of the daysimages